package com.hrsk.cloud.eg.domain.api.resolver.vo;


import com.hrsk.cloud.eg.domain.api.ApiContext;
import com.hrsk.cloud.eg.domain.api.ValueObject;

/**
 * @author: bianlanzhou
 * @create: 2024-07-31 14:35
 * @description: 基础类型值对象解析器
 **/
public class BasicTypeValueObjectResolver implements ValueObjectResolver {
    /**
     * 基本类型
     */
    public static final String[] BASIC_TYPES = new String[]{"text","string","double","float","boolean"};
    /**
     * 解析
     * @param valueObject 待解析对象
     * @return 解析后对象
     */
    @Override
    public Object resolve(ValueObject valueObject, ApiContext context) {
        return valueObject.getValue();
    }

}
